// src/preload.ts
import { contextBridge, ipcRenderer } from 'electron';

contextBridge.exposeInMainWorld('electron', {
	startWebSocket: (port: number) => ipcRenderer.send('start-websocket', port),
	stopWebSocket: () => ipcRenderer.send('stop-websocket'),
	openDevTools: () => ipcRenderer.send('open-devtools'),
	onWebSocketStatus: (callback: (message: string) => void) => ipcRenderer.on('websocket-status', (event, message) => callback(message))
});
